# Uses of Class
org.apache.datasketches.req.ReqSketch

Packages that use ReqSketch
Package
Description
org.apache.datasketches.req
This package is for the implementation of the Relative Error Quantiles sketch algorithm.

## Uses of ReqSketch in org.apache.datasketches.req

Methods in org.apache.datasketches.req that return ReqSketch
Modifier and Type
Method
Description
`ReqSketch`
ReqSketchBuilder.`build()`
Returns a new ReqSketch with the current configuration of the builder.
`static ReqSketch`
ReqSketch.`heapify(MemorySegment seg)`
Returns an ReqSketch on the heap from a MemorySegment image of the sketch.
`ReqSketch`
ReqSketch.`merge(ReqSketch other)`
Methods in org.apache.datasketches.req with parameters of type ReqSketch
Modifier and Type
Method
Description
`void`
ReqDebug.`emitStart(ReqSketch sk)`
Emit the start signal
`ReqSketch`
ReqSketch.`merge(ReqSketch other)`